version: '3.7'
services:
  che:
    image: eclipse/che-server:5.0.0
    ports: 
      - "8180:8080"
    environment: 
      - CHE_HOST=tcp://1.1.1.1:2375
      - CHE_DOCKER_MACHINE_HOST=127.0.0.1
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /Users/Shared/eclipse-che:/data
      - /Users/Shared/eclipse-che/assembly:/assembly
    container_name: che

  # reverse-proxy:
  #   image: nginx
  #   volumes:
  #     - ./nginx.conf:/etc/nginx/nginx.conf
  #   ports:
  #     - 80:80

  # whoami:
  #   image: containous/whoami
  #   container_name: whoami